<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Repository;

use App\Scolarite\Domain\Model\Competency\CompetencyEvaluation;
use App\Scolarite\Domain\Model\Competency\CompetencyEvaluationId;
use App\Scolarite\Domain\Model\Evaluation\EvaluationId;

interface CompetencyEvaluationRepository
{
    public function save(CompetencyEvaluation $competencyEvaluation): void;

    public function findById(CompetencyEvaluationId $id): ?CompetencyEvaluation;

    /** @return array<CompetencyEvaluation> */
    public function findByEvaluation(EvaluationId $evaluationId): array;
}
